<div class="row">
  <div class="col-12">

    <ng-container *ngIf="!loading">
      <ng-container *ngFor="let key of keys">
        <div class="card mb-2">
          <div class="card-body p-2">
            <div class="row">
              <div class="col-9">
                <span class="font-weight-bold">{{histMap?.get(key)[0]?.operateurModification}}</span>
                <span *ngIf="histMap?.get(key)[0]?.colonne==='all'"> {{'INCIDENT_DETAILS.AUTHORED_INCIDENT'|translate}}</span>
                <span *ngIf="histMap?.get(key)[0]?.colonne!=='all'"> {{'INCIDENT_DETAILS.EDITED_INCIDENT'|translate}}</span>
              </div>
              <div class="col-3 text-right">
                <span>{{'INCIDENT_DETAILS.SINCE'|translate}} {{histMap?.get(key)[0]?.dateModification | ago}}</span>
              </div>
            </div>

            <div class="row" *ngFor="let incident of histMap?.get(key)">
              <div class="col-auto">
                <span *ngIf="incident.colonne!=='all'">-
                  <span>{{incident.colonne}}: </span>
                  <span class="font-italic"> {{incident.ancienneValeur}} -> {{incident.nouvelleValeur}} </span>
                </span>
              </div>
            </div>
          </div>
        </div>
      </ng-container>

      <ng-container *ngIf="histMap?.size===0">
        {{'INCIDENT_DETAILS.NO_HISTORY'|translate}}
      </ng-container>
    </ng-container>


    <div *ngIf="loading" class="loading">
      <em class="fa fa-spinner fa-spin fa-2x"></em>
    </div>

  </div>
</div>
